Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class AddPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.AddPtg

public class AddPtg
extends OperationPtg

Addition operator PTG the "+" binomial operator. If you need more explanation than that then well...We really can't help you here.

Author:
  Andrew C. Oliver (acoliver@apache.org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` | `sid`
`static int` | `SIZE`

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`AddPtg()` Creates new AddPtg
`AddPtg(byte[] data, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`byte` | `getDefaultOperandClass()`
`int` | `getNumberOfOperands()` The number of operands expected by the operations
`int` | `getSize()`
`int` | `getType()`
`java.lang.String` | `toFormulaString(java.lang.String[] operands)` implementation of method from OperationsPtg
`java.lang.String` | `toFormulaString(Workbook book)` Implementation of method from Ptg
`void` | `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### AddPtg

    public AddPtg()

  Creates new AddPtg

### AddPtg

    public AddPtg(byte[] data,
                  int offset)

Method Detail

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### getType

    public int getType()

  Specified by:
    `getType` in class `OperationPtg`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Implementation of method from Ptg

  Specified by:
    `toFormulaString` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  implementation of method from OperationsPtg

  Specified by:
    `toFormulaString` in class `OperationPtg`
  See Also:
    `OperationPtg.getNumberOfOperands()`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Overrides:
    `getDefaultOperandClass` in class `OperationPtg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.